Package org.eclipse.graphiti.dt

## Interface IDiagramType

All Superinterfaces:
  `IExtension`

All Known Implementing Classes:
  `DiagramTypeImpl`

    public interface IDiagramType
    extends IExtension

The Interface IDiagramType.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDescription()` Gets the description.
`java.lang.String` `getId()` Gets the id.
`java.lang.String` `getName()` Gets the name.

### Methods inherited from interface org.eclipse.graphiti.platform.IExtension

`getProviderId, setProviderId`

### Method Detail

#### getId

    java.lang.String getId()

Gets the id.

Returns:
  the id of the new diagram type

#### getName

    java.lang.String getName()

Gets the name.

Returns:
  the name of the new diagram type

#### getDescription

    java.lang.String getDescription()

Gets the description.

Returns:
  the description of the new diagram type